[116718] trunk/dports/net/libgweather

devans at macports.org devans at macports.org
Tue Feb 4 11:03:15 PST 2014


Revision: 116718
          https://trac.macports.org/changeset/116718
Author:   devans at macports.org
Date:     2014-02-04 11:03:15 -0800 (Tue, 04 Feb 2014)
Log Message:
-----------
libgweather: update to version 3.10.2, intltool configuration, dependencies, adds a number of new weather locations.

Modified Paths:
--------------
    trunk/dports/net/libgweather/Portfile

Added Paths:
-----------
    trunk/dports/net/libgweather/files/autogen.sh

Modified: trunk/dports/net/libgweather/Portfile
===================================================================
--- trunk/dports/net/libgweather/Portfile	2014-02-04 18:48:59 UTC (rev 116717)
+++ trunk/dports/net/libgweather/Portfile	2014-02-04 19:03:15 UTC (rev 116718)
@@ -4,8 +4,7 @@
 PortSystem      1.0
 
 name            libgweather
-version         3.10.1
-revision        1
+version         3.10.2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 maintainers     devans openmaintainer
 categories      net gnome
@@ -23,11 +22,15 @@
 
 use_xz          yes
 
-checksums       rmd160  191904bc5b242eb368e2fdaaa0fcf1eef7ed6525 \
-                sha256  ae8e785f6798b4fe4cf1461c57faf1c0625716ccb92ea927e091840a1205cfc7
+checksums       rmd160  d0139d2e198e4ec65b044a6fbea6f75199de2a30 \
+                sha256  454d8d681114f7f9522df2710b63f33198d0d7ca6f0726eef7fcf72e1b580005
 
 depends_build   port:pkgconfig \
                 port:intltool \
+                port:autoconf \
+                port:automake \
+                port:libtool \
+                port:gnome-common \
                 port:gtk-doc
 
 depends_lib     port:gtk3 \
@@ -39,6 +42,15 @@
 patchfiles      patch-libgweather-gweather-location.c.diff \
                 patch-libgweather-weather.c.diff
 
+# use autogen.sh from upstream git to update m4/intltool.m4 using intltoolize and autoreconf
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+    file delete -force ${worksrcpath}/m4
+}
+
+configure.cmd   ./autogen.sh
+
 configure.cflags-append \
                 -Wno-format-nonliteral
 

Added: trunk/dports/net/libgweather/files/autogen.sh
===================================================================
--- trunk/dports/net/libgweather/files/autogen.sh	                        (rev 0)
+++ trunk/dports/net/libgweather/files/autogen.sh	2014-02-04 19:03:15 UTC (rev 116718)
@@ -0,0 +1,54 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+PKG_NAME="libgweather"
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd "$srcdir"
+
+test -f configure.ac || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+mkdir m4/
+
+GTKDOCIZE=$(which gtkdocize 2>/dev/null)
+if test -z $GTKDOCIZE; then
+        echo "You don't have gtk-doc installed, and thus won't be able to generate the documentation."
+        rm -f gtk-doc.make
+        cat > gtk-doc.make <<EOF
+EXTRA_DIST =
+CLEANFILES =
+EOF
+else
+        gtkdocize || exit $?
+fi
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+        echo "*** No autoreconf found, please install it ***"
+        exit 1
+fi
+
+# README and INSTALL are required by automake, but may be deleted by clean
+# up rules. to get automake to work, simply touch these here, they will be
+# regenerated from their corresponding *.in files by ./configure anyway.
+touch README INSTALL
+
+autoreconf --force --install --verbose || exit $?
+intltoolize --force --automake || exit $?
+
+# Replace autopoint Makefile.in.in with intltool's one
+sed -e 's/subdir = po/subdir = po-locations/' \
+    -e 's/GETTEXT_PACKAGE = @GETTEXT_PACKAGE@/GETTEXT_PACKAGE = libgweather-locations/' \
+    po/Makefile.in.in > po-locations/Makefile.in.in
+
+# Now configure, if asked
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
+
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20140204/e4e2cba1/attachment.html>


More information about the macports-changes mailing list